Subject: Re: [egit] How-to use egit

From: Wink Saville <[email-masked]>
Date: Thu, 13 Dec 2007 16:11:30 -0800

Robin Rosenberg wrote:
> torsdag 13 december 2007 skrev Wink Saville:
>   
>> Yes, I selected them all and a single jar was created which
>>     
> Never seen that behaviour. I'm surprised that would be the default.
> When I export I get separate jars.
>
>   
>> I then started eclipse and now I see: Window/Preferences/Team/Git
>> When I select "Git" in the above, I see "Hi, I'm an empty preference page."
>>     
> That's all there is for now, but it means the plugin is activated.
>
>   
>> But again, I don't see any new menu items that
>> would allow me to look at history or make commits.
>> Is there more I need to to install the plugin, or
>> maybe I just need a little guidance on how to use it.
>>     
>
> We do not actually implement any menus in the menu bar. The only menus
> are in the context (right click) menu on resources.
>
> Try right-click on a project in the project explorer and the Team menu>Share project.
>
> -- robin
>   
Got it:

One thing that would be helpful for me is the
relationship between the items in the context menu
and the git commands, it isn't obvious to me.

As a for instance, it seems "Update index (Refresh)"
is a "git add <file>" but what is "Assume unchanged"?

One other thing is there a "git diff" and or "git diff HEAD"?

Thanks,

Wink